Bug 170523 - Nautilus spikes 100% cpu when running on display other than 0:0
Nautilus spikes 100% cpu when running on display other than 0:0
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nautilus (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 11:50 EDT by Jim Silva
Modified: 2015-01-07 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:53:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace + gdb of nautilus process (18.78 KB, text/plain)
2005-12-05 13:51 EST, Adam Morley
no flags Details
Debug packages currently installed (6.50 KB, text/plain)
2006-05-26 12:14 EDT, Adam Morley
no flags Details
Another gdb backtrace (10.63 KB, text/plain)
2006-05-26 12:15 EDT, Adam Morley
no flags Details

  None (edit)
Description Jim Silva 2005-10-12 11:50:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
I am opening this issue up for another user. I have not been able to personally reproduce this issue but they insist this is reproducable.
---snip---
It seems to happen at random whenever nautilus is running on a display other than :0.0.  Steps to reproduce on a simple RedHat workstation install:

- Log one user in on console
- Log a different user in on :1 or higher using:

xinit /usr/bin/gnome-session -- /usr/X11R6/bin/X :1

The two ways we've managed to replicate the problem are:
 
- Log into GNOME, just wait.  Nautilus spikes the CPU
- Log into GNOME, open nautilus, dawdle around the filesystem, and then
wait.  Or dawdle, then close the window.  The nautilus in the background
will then spike the CPU sometime soon.
 
Please note a few things about our configuration:
 
- user home directories sit on NFS (solaris 9)
- sunray servers are RHEL3AS U5 (patching one to U6 to get the fixes &
see if it does anything.  Will know tomorrow)
- I have a sysreport if you need it
- But the bug happens on a standalone workstation too (RHEL3WS)

Version-Release number of selected component (if applicable):


How reproducible:
Couldn't Reproduce

Steps to Reproduce:
- Log one user in on console
- Log a different user in on :1 or higher using:

xinit /usr/bin/gnome-session -- /usr/X11R6/bin/X :1

Actual Results:  I am opening this issue up for another user. I have not been able to personally reproduce this issue but they insist this is reproducable.

Additional info:

Please let me know what additional data you require and I will do my best to get it soon.

Thanks,
-Jim Silva
Comment 1 Adam Morley 2005-12-05 13:47:21 EST
Hi,

I am actually the bug reporter.  It seems Sun hasn't updated the case notes from
their bug tracking system into the RedHat case tracking system, nor has Sun
posted the straces I sent.  Why Sun didn't do this, I do not know.  Why Sun
didn't tell me there was a RedHat case, I also do not know.  Here is the
entirety of the case notes from Sun's service tracking system.  I have also
attached strace/gdb of the nautilus process when stuck in the poll() loop:

History
Updated By:
	
Date Updated:
Update Text:
Sun Engineer
	
Nov 29, 2005 10:39:14 AM, Mountain Standard Time (MST GMT-07:00)
Customer emails the following:

nautilus.xsession-errors.prekill: .xsession-errors from a user who
experienced the nautilus bug, before we killed the spiked nautilus
(which had been running for ~20 minutes @ 100% of 1 CPU)
nautilus.xsession-errors.postkill: .xsession-errors from 3 minutes ago,
about 6 hours after nautilus was killed (with pkill -u <username>
nautilus), and then restarted itself normally.

The WARNING lines I see at the end of ...prekill are related to a
mime-info setting in /usr/share/mime-info:

file-roller.keys:
...
application/x-zip-compressed
icon_filename=gnome-compressed
short_list_application_ids_for_novice_user_level=file-roller
short_list_application_ids_for_intermediate_user_level=file-roller
short_list_application_ids_for_advanced_user_level=file-roller

file-roller.mime:
...
application/x-zip-compressed
ext: zip

But we get those errors all the time --- and the bug is not linked to
the error showing.
Sun Engineer
	
Nov 29, 2005 10:37:41 AM, Mountain Standard Time (MST GMT-07:00)
nautilus xsession errors postkill

/opt/SUNWut/lib/utdmsession[253]: /usr/bin/touch: not found
/etc/X11/gdm/SunRayPreSession/SessReg: Registering your session with wtmp and utmp
/etc/X11/gdm/SunRayPreSession/SessReg: running: /usr/bin/X11/sessreg -a -w
/var/log/wtmp -u /var/run/utmp -x "/var/gdm/:22.Xservers" -h "" -l ":22" "lindsay"
/etc/X11/gdm/Xsession: Beginning session setup...
/etc/X11/gdm/Xsession: Setup done, will execute: /usr/bin/ssh-agent -- gnome-session
SESSION_MANAGER=local/sr1:/tmp/.ICE-unix/17345
Gnome-Message: gnome_execute_async_with_env_fds: returning -1

** (gnome-panel:17544): WARNING **: Unable to load panel stock icon 'gnome-debian'


** (gnome-panel:17544): WARNING **: Unable to load panel stock icon 'gnome-suse'


** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:17546): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

......
Sun Engineer
	
Nov 29, 2005 10:34:18 AM, Mountain Standard Time (MST GMT-07:00)
nautilus xsession-errors prekill

/opt/SUNWut/lib/utdmsession[253]: /usr/bin/touch: not found
/etc/X11/gdm/SunRayPreSession/SessReg: Registering your session with wtmp and utmp
/etc/X11/gdm/SunRayPreSession/SessReg: running: /usr/bin/X11/sessreg -a -w
/var/log/wtmp -u /var/run/utmp -x "/var/gdm/:22.Xservers" -h "" -l ":22" "lindsay"
/etc/X11/gdm/Xsession: Beginning session setup...
/etc/X11/gdm/Xsession: Setup done, will execute: /usr/bin/ssh-agent -- gnome-session
SESSION_MANAGER=local/sr1:/tmp/.ICE-unix/25453
Gnome-Message: gnome_execute_async_with_env_fds: returning -1

** (gnome-panel:25654): WARNING **: Unable to load panel stock icon 'gnome-debian'


** (gnome-panel:25654): WARNING **: Unable to load panel stock icon 'gnome-suse'


** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.
Window manager warning: Tried to ping a window with CurrentTime! Not allowed.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.
Extra content at the end of the document

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.
xscreensaver-command: activating and locking.

.XYyyZ
** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.
Window manager warning: Tried to ping a window with CurrentTime! Not allowed.
Window manager warning: Tried to ping a window with CurrentTime! Not allowed.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "Meet-Comp_Partners_10-03-05.zip"),
please tell the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010019.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010019.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010019.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010019.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010019.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010019.ZIP"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "114524-01.zip"), please tell the
gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "BrownieRec1b.jpg%2B.zip"), please tell
the gnome-vfs mailing list.

** (nautilus:25656): WARNING **: No description found for mime type
"application/x-zip-compressed" (file is "P1010025.ZIP"), please tell the
gnome-vfs mailing list.
Customer
	
Nov 23, 2005 5:58:31 PM, Mountain Standard Time (MST GMT-07:00)
Customer adammorley, adam morley requests case closure via web interface

Preferred Method of Response: Email
Hi Steven,

I will capture the .xsession-errors the next time it happens.

Thanks,
Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Nov 8, 2005 10:11:15 AM, Mountain Standard Time (MST GMT-07:00)
Adam,


When you see this issue with the nautilus process can you
send the users .xsession-errors log file.

Thanks,
Steve
Sun Engineer
	
Nov 7, 2005 12:11:59 PM, Mountain Standard Time (MST GMT-07:00)
amorley.tar.bz2 copied to /net/p0ez.east/opt/local/Stuff/Cases/1-11884865
Sun Engineer
	
Nov 7, 2005 8:41:02 AM, Mountain Standard Time (MST GMT-07:00)
sysreport requested from customer.
Customer
	
Oct 24, 2005 11:39:59 AM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Dear Steven,

You failed to provide an update. This is not good. I would like an update ASAP.

Please note that:

- it is not tied to how long users are logged in. It can happen immediately
after login, and sometimes not for a few days.
- it is not tied to how long the system is up. It can fail to happen for a few
days, and then occur. Or it can happen immediately upon reboot/user log in.
- nautilus is trapped in some sort of poll() loop, consuming mostly sys cpu time.
- This is an exceedingly annoying bug.

I have provided:

top output
gdb output
strace output
method for replicating bug

And yet, I hear nothing. This is very bad. Again, please provide an update ASAP.

Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Customer
	
Oct 20, 2005 6:37:17 PM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi,

Please provide an update via email by 17:00 PDT tomorrow (Friday, 21 Oct).
Please also forward the following note:

The problem occurs less often on RHEL3ASU6 than RHEL3ASU5. I believe this is
because of the kernel patch issued in U6. I am suspicious that this is not so
much a nautilus bug, but a bug in poll().

If they need to isolate it:

Log a few users into a RHEL3ASU5 box, simulating multiple users (a la SRSS)
whose directories are mounted from NFS. I haven't confirmed it's tied to NFS,
but to be safe.

Use nautilus a bit, open close, open close, navigate the tree. Close nautilus.
Wait. Problem occurs everytime.

Again, please provide a status update by end of business tomorrow.

Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Customer
	
Oct 12, 2005 8:47:29 PM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi,

So I've passed two notes to Engineering. Do they want to pass one back to me yet?

Thanks,
Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Oct 10, 2005 9:38:12 AM, Mountain Daylight Time (MDT GMT-06:00)
Customer note fowarded to Engineering.
Customer
	
Oct 7, 2005 11:26:39 PM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi,

We just patched to RHEL3ASU6, and the problem still occurs. It takes a while to
happen sometimes --- today, we had 5 users logged into the upgraded SunRay
server, and it took ~6 hours for it to happen. It usually happens faster if the
person is hammering on nautilus for a bit, and then stops using it, closing the
last window. Then, the background nautilus will hang.

Please let me know what the status of this case is. Obviously, 100% CPU spikes
on SunRay servers is exceedingly annoying.

Thanks,
Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Oct 6, 2005 12:05:57 PM, Mountain Daylight Time (MDT GMT-06:00)
Customer notes passed to engineering.
Customer
	
Oct 6, 2005 11:51:51 AM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi,

Please pass to backline:

The two ways we've managed to replicate the problem are:

- Log into GNOME, just wait. Nautilus spikes the CPU
- Log into GNOME, open nautilus, dawdle around the filesystem, and then wait. Or
dawdle, then close the window. The nautilus in the background will then spike
the CPU sometime soon.

Please note a few things about our configuration:

- user home directories sit on NFS (solaris 9)
- sunray servers are RHEL3AS U5 (patching one to U6 to get the fixes & see if it
does anything. Will know tomorrow)
- I have a sysreport if you need it
- But the bug happens on a standalone workstation too (RHEL3WS)

thanks,
adam

PS: please update w/status. What is the replication environment? How many users
are logged in? It seems to happen more often when more users are logged in and
puttering around with nautilus and opening files from it, ie: sxc, double click,
open in staroffice
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Oct 5, 2005 9:07:21 AM, Mountain Daylight Time (MDT GMT-06:00)
Customer note fowarded to Engineering.
Customer
	
Oct 4, 2005 6:20:17 PM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi,

Yes. We tested it on a RHEL3WS box without SRSS. On :0, it worked fine. But if I
logged in on :0 and :1 (simulating a multiuser box like SRSS would do) as two
different users, the problem occured where nautilus would eat the CPU.

This is RHEL3WS U5. We are patching it to U6 tomorrow to see if anything changes.

We used this to start the second gnome-session on :1:

xinit /usr/bin/gnome-session -- /usr/X11R6/bin/X :1

And nautilus consumed the CPU almost immediately, stuck in the poll() loop.

adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Oct 4, 2005 2:02:26 PM, Mountain Daylight Time (MDT GMT-06:00)
Status reply from engineering:

I still can not reproduce the cu error. Did the cu try this on a standalone
system that was not
running SunRay?

Can you also have the cu send the /etc/redhat-release.

Also from what I have been finding from the SunRay team, is that unlike
sun they must update to the latest and greatest RedHat Kernel, Libs and
Gnome rpms before they will engage this.

Please send me the output I have asked and verify the cu has updated the
machine recently and get the answers to the questions I asked.
Sun Engineer
	
Oct 4, 2005 11:25:49 AM, Mountain Daylight Time (MDT GMT-06:00)
Customer request status of this case, and priority change to Severity 1
Sun Engineer
	
Sep 30, 2005 2:09:53 PM, Mountain Daylight Time (MDT GMT-06:00)
Sent request to Engineering for status on this case.
Customer
	
Sep 30, 2005 12:48:56 PM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi,

What is the status of this case? I would like an update by Monday.

Thanks,
Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Customer
	
Sep 27, 2005 10:22:47 AM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
Hi Steven,

Two things:

- Why was this downgraded to sev 2? It is still sev 1 in our book. I thought we
got customer defined priority on standard support?
- Here is some more data. It seems that nautilus is stuck in the system, which
matches with the straces I sent that show it's doing a bunch of poll()'s:

09:19:27 up 4 days, 21:28, 10 users, load average: 1.28, 1.29, 0.92
450 processes: 443 sleeping, 3 running, 4 zombie, 0 stopped
CPU states: cpu user nice system irq softirq iowait idle
total 21.2% 0.0% 31.2% 0.0% 0.2% 1.4% 45.7%
cpu00 19.6% 0.0% 25.6% 0.0% 0.3% 2.9% 51.2%
cpu01 22.8% 0.0% 36.7% 0.0% 0.1% 0.0% 40.1%
Mem: 4099424k av, 3200592k used, 898832k free, 0k shrd, 242264k buff
1971748k active, 694792k inactive
Swap: 8385848k av, 0k used, 8385848k free 1774972k cached

PID USER PRI NI SIZE RSS SHARE STAT %CPU %MEM TIME CPU COMMAND
24922 earl 25 0 17196 16M 10444 R 49.7 0.4 11:02 0 nautilus
[adam@sr0 adam]$ ps -e -o pid -o user -o pcpu -o fname |grep nautilus
24922 earl 0.8 nautilus

So %cpu is 0.8, but it's eating way more in system

thanks,
adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Sep 26, 2005 8:45:30 AM, Mountain Daylight Time (MDT GMT-06:00)
It seems to happen at
random whenever nautilus is running on a display other than :0.0. Steps
to reproduce on a simple RedHat workstation install:

- Log one user in on console
- Log a different user in on :1 or higher using:

xinit /usr/bin/gnome-session -- /usr/X11R6/bin/X :1
Sun Engineer
	
Sep 26, 2005 8:44:58 AM, Mountain Daylight Time (MDT GMT-06:00)
nautilus will proceed to eat 100% of CPU until its killed
Sun Engineer
	
Sep 23, 2005 10:49:47 AM, Mountain Daylight Time (MDT GMT-06:00)
PTS Engagement Template v1.17
Latest version stored at:
http://resolution.sfbay/process/documents/docs/callFlows/CF017.txt

************************
* NOTE: *
************************
For Sev-1 Escalations/Tasks filed into PTS during Weekend Hours, please use
Callout tool to page the relevant vertical to ensure pickup.

http://callout.central/


Scheduled Start Date:
************************
* 1.0 Problem Statement *
************************
1.1 Provide a summary of the current problem in object/defect format.

It seems to happen at
random whenever nautilus is running on a display other than :0.0. Steps
to reproduce on a simple RedHat workstation install:

- Log one user in on console
- Log a different user in on :1 or higher using:

xinit /usr/bin/gnome-session -- /usr/X11R6/bin/X :1

So this bug is now confirmed on a straight RHEL3 workstation
*******************
* 2.0 Available Data
*******************
2.1 What data has been collected so far?
(explorer, product specific - for a complete listing of PTS
data needs, go to:
http://resolution.sfbay/process/documents/docs/definitionsCQI/DE015/ )
2.2 Where is the collected data?
(enter data here or supply complete and absolute path to the location
of data)
2.3 What troubleshooting steps have been taken so far, and what were the results?
2.4 Describe problem impact to the customer. (optional)

*****************************************************
* 3.0 Service Alliance Information - If Applicable *
*****************************************************
3.1 Does this task meet the engagement criteria found on http://alliances.sfbay/ ?
Information Required for all involved Vendors before we can engage them:
3.1.a Vendor's Name:
3.1.b Case ID # or Customer's Contract # with Vendor(s):
3.1.c For Oracle only: Provide TAR #, or CSI # and DBA Name:

**************************
* 4.0 Requested PTS Action *
**************************
4.1 What do you expect from the PTS engineer?
4.1.a Validation of a potential solution: [ X] Yes, [ ] No
4.1.b Describe requested action: File Bug
4.2 Have you been working with a PTS engineer on this problem before?
If so who?
4.3 Please indicate other Action Plans associated with this task, if applicable.
4.4 By when does the customer expect the next status update?
4.5 What status update frequency does the customer expect?
[ ] daily updates , [ ] updates every other day , [ ] weekly updates
4.5.a: If the customer is expecting frequent updates for a low severity
case please indicate why:

**************************
* 5.0 Contact Information *
**************************
5.1 State the Customer Facing Engineer's current contact information.
(Please state name, email and phone number including country/area code)
5.1.a Name:
5.1.b Email:
5.1.c Phone:
5.1.d Pager/Cell (optional):
5.2 State optional alternate contact information, if applicable. (Indicate
on-site CF Engineer's info here if PTS on-site assistance is requested)
5.2.a Name:
5.2.b Email:
5.2.c Phone:
5.2.d Pager/Cell (optional):
5.3 State contact information of the above engineer's current Duty Manager.
5.3.a Name:
5.3.b Phone:
******************************
* 6.0 Sun Java System Specifics *
******************************
(To be used for PTS-JSE and PTS-JavaEntsys tasks)
6.1 Please specify OS?
(Such as Solaris version, HP-UX version, Windows version)
6.2 OS Patch level
(Such as Windows NT SP6a or showrev -a output on Solaris, HP-UX etc.)
6.3 Please provide the test case or steps which were taken to create a test
case.
6.4 Please list all Java Enterprise System components in this deployment.
***************************
* 7.0 PTS On-site Assistance *
***************************
(To be use only if there is a request for PTS to be on-site)
7.1 State the Customer Facing Manager's contact information (approving Manager
who will coordinate request with PTS).
(Please state name, email and phone number including country/area code)
7.1.a Name:
7.1.b Email:
7.1.c Phone:
7.1.d Pager/Cell:
7.2State the customer's location for the on-site requesst for PTS to be on-site)
7.1 State the Customer Facing Manager's contact information (approving Manager
who will coordinate request with PTS).
(Please state name, email and phone number including country/area code)
7.1.a Name:
7.1.b Email:
7.1.c Phone:
7.1.d Pager/Cell:
7.2State the customer's location for the on-site request, if different from the
case information.
Customer
	
Sep 23, 2005 10:00:47 AM, Mountain Daylight Time (MDT GMT-06:00)
Preferred Method of Response: Email
[copy/paste of email to Steven]

Hi Steven,

The bug just happened on our RedHat desktop. It seems to happen at
random whenever nautilus is running on a display other than :0.0. Steps to
reproduce on a simple RedHat workstation install:

- Log one user in on console
- Log a different user in on :1 or higher using:

xinit /usr/bin/gnome-session -- /usr/X11R6/bin/X :1

So this bug is now confirmed on a straight RHEL3 workstation box w/o
SunRay server software AND on SunRays running off RHEL3 AS w/ SRSS 3.0 and 3.1.

Please escalate to the backend so they can diagnose and fix.

Thanks,
Adam
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Sun Engineer
	
Sep 22, 2005 11:36:01 AM, Mountain Daylight Time (MDT GMT-06:00)
Adam,

I have the case you opened concerning Nautilus.
This is the first report of this problem I have
heard of, and I'm wondering if it is related to
an interaction with other software in the environment.

I saw in your notes that you are testing on other
systems, and would like to know the results. You
may contact me through email or if necessary, call
me at 303-272-6625

Thanks,
Steve
Sun Engineer
	
Sep 22, 2005 10:20:38 AM, Mountain Daylight Time (MDT GMT-06:00)
Hello,

Your case has been received by the Online Support Center group (OSC)
and is being forwarded to the appropriate department for servicing.
You will be receiving a call or e-mail shortly from the engineer that
will be working on your case. If you have any questions regarding this
case, please call 1-800-USA-4-SUN (800-872-4786) enter option 1,
then enter your case ID number.

Thank you for using the Online Support Center.
Customer
	
Sep 22, 2005 10:08:26 AM, Mountain Daylight Time (MDT GMT-06:00)
Hardware Platform: Sun Fire V60x/V65x
Component Affected: OS Linux
OS and Kernel Version: Linux sr0 2.4.21-32.0.1.ELsmp #1 SMP Tue May 17 17:52:23
EDT 2005 i686 i686 i386 GNU/Linux
Describe the problem: This system is a SunRay server. SunRay server contract ID:
NK20219856.

Sometimes, at random times (not any specific time of day), and not dependant on
any specific user patterns (user could be active at the desktop or away from
their desk, with smart card in or out), nautilus will proceed to eat 100% of the
CPU until it is killed. If killed, it will restart (I assume GNOME is restarting
it) and work normally (ie: not eat 100% of the CPU).

This happens with any user, at random, with no discernable pattern. I have top,
gdb and strace output from nautilus below. It seems to be caught in a loop in
libglib simply polling a bunch of file descriptors:

08:39:55 up 14 days, 15:05, 9 users, load average: 1.13, 1.13, 1.05
453 processes: 447 sleeping, 2 running, 4 zombie, 0 stopped
CPU states: cpu user nice system irq softirq iowait idle
total 27.6% 0.0% 31.9% 0.0% 0.0% 0.0% 40.4%
cpu00 25.7% 0.0% 30.4% 0.0% 0.0% 0.0% 43.8%
cpu01 29.5% 0.0% 33.3% 0.0% 0.0% 0.0% 37.1%
Mem: 3082416k av, 2377776k used, 704640k free, 0k shrd, 201028k buff
1635088k actv, 339764k in_d, 28888k in_c
Swap: 8385848k av, 20676k used, 8365172k free 1050328k cached

PID USER PRI NI SIZE RSS SHARE STAT %CPU %MEM TIME CPU COMMAND
6908 lindsay 25 0 19984 19M 10480 R 49.6 0.6 929:20 1 nautilus
...
[root@sr1 root]# gdb /usr/bin/nautilus 6908
GNU gdb Red Hat Linux (6.3.0.0-0.30.1rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".

Attaching to program: /usr/bin/nautilus, process 6908
Reading symbols from /usr/lib/libc_ut.so...done.
Loaded symbols for /usr/lib/libc_ut.so
Reading symbols from /usr/lib/libnautilus.so.2...done.
Loaded symbols for /usr/lib/libnautilus.so.2
Reading symbols from /usr/lib/libnautilus-adapter.so.2...done.
Loaded symbols for /usr/lib/libnautilus-adapter.so.2
Reading symbols from /usr/lib/libnautilus-private.so.2...done.
Loaded symbols for /usr/lib/libnautilus-private.so.2
Reading symbols from /usr/lib/libeel-2.so.2...done.
Loaded symbols for /usr/lib/libeel-2.so.2
Reading symbols from /usr/lib/libgailutil.so.17...done.
Loaded symbols for /usr/lib/libgailutil.so.17
Reading symbols from /usr/lib/libglade-2.0.so.0...done.
Loaded symbols for /usr/lib/libglade-2.0.so.0
Reading symbols from /usr/lib/librsvg-2.so.2...done.
Loaded symbols for /usr/lib/librsvg-2.so.2
Reading symbols from /usr/lib/libgsf-1.so.1...done.
Loaded symbols for /usr/lib/libgsf-1.so.1
Reading symbols from /usr/lib/libesd.so.0...done.
Loaded symbols for /usr/lib/libesd.so.0
Reading symbols from /usr/lib/libaudiofile.so.0...done.
Loaded symbols for /usr/lib/libaudiofile.so.0
Reading symbols from /usr/lib/libgnome-desktop-2.so.2...done.
Loaded symbols for /usr/lib/libgnome-desktop-2.so.2
Reading symbols from /usr/lib/libgnomeui-2.so.0...done.
Loaded symbols for /usr/lib/libgnomeui-2.so.0
Reading symbols from /usr/X11R6/lib/libSM.so.6...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/lib/libstartup-notification-1.so.0...done.
Loaded symbols for /usr/lib/libstartup-notification-1.so.0
Reading symbols from /usr/lib/libbonoboui-2.so.0...done.
Loaded symbols for /usr/lib/libbonoboui-2.so.0
Reading symbols from /usr/lib/libxml2.so.2...done.
Loaded symbols for /usr/lib/libxml2.so.2
Reading symbols from /lib/tls/libpthread.so.0...done.
[Thread debugging using libthread_db enabled]
[New Thread -1218627168 (LWP 6908)]
[New Thread 145525680 (LWP 6929)]
[New Thread 124492720 (LWP 6928)]
[New Thread 92162992 (LWP 6927)]
[New Thread 70998960 (LWP 6926)]
[New Thread 60509104 (LWP 6925)]
[New Thread 110545840 (LWP 6924)]
[New Thread 50019248 (LWP 6923)]
[New Thread 39529392 (LWP 6922)]
[New Thread 29039536 (LWP 6919)]
[New Thread 81673136 (LWP 6918)]
Loaded symbols for /lib/tls/libpthread.so.0
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libgnomecanvas-2.so.0...done.
Loaded symbols for /usr/lib/libgnomecanvas-2.so.0
Reading symbols from /usr/lib/libgnome-2.so.0...done.
Loaded symbols for /usr/lib/libgnome-2.so.0
Reading symbols from /usr/lib/libart_lgpl_2.so.2...done.
Loaded symbols for /usr/lib/libart_lgpl_2.so.2
Reading symbols from /usr/lib/libpangoft2-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangoft2-1.0.so.0
Reading symbols from /usr/lib/libgtk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib/libgtk-x11-2.0.so.0
Reading symbols from /usr/lib/libgdk-x11-2.0.so.0...done.
Loaded symbols for /usr/lib/libgdk-x11-2.0.so.0
Reading symbols from /usr/lib/libatk-1.0.so.0...done.
Loaded symbols for /usr/lib/libatk-1.0.so.0
Reading symbols from /usr/lib/libgdk_pixbuf-2.0.so.0...done.
Loaded symbols for /usr/lib/libgdk_pixbuf-2.0.so.0
Reading symbols from /usr/lib/libpangoxft-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangoxft-1.0.so.0
Reading symbols from /usr/lib/libpangox-1.0.so.0...done.
Loaded symbols for /usr/lib/libpangox-1.0.so.0
Reading symbols from /usr/lib/libpango-1.0.so.0...done.
Loaded symbols for /usr/lib/libpango-1.0.so.0
Reading symbols from /usr/lib/libbonobo-2.so.0...done.
Loaded symbols for /usr/lib/libbonobo-2.so.0
Reading symbols from /usr/lib/libgconf-2.so.4...done.
Loaded symbols for /usr/lib/libgconf-2.so.4
Reading symbols from /usr/lib/libgnomevfs-2.so.0...done.
Loaded symbols for /usr/lib/libgnomevfs-2.so.0
Reading symbols from /usr/lib/libbonobo-activation.so.4...done.
Loaded symbols for /usr/lib/libbonobo-activation.so.4
Reading symbols from /usr/lib/libORBit-2.so.0...done.
Loaded symbols for /usr/lib/libORBit-2.so.0
Reading symbols from /lib/tls/libm.so.6...done.
Loaded symbols for /lib/tls/libm.so.6
Reading symbols from /usr/lib/liblinc.so.1...done.
Loaded symbols for /usr/lib/liblinc.so.1
Reading symbols from /usr/lib/libgmodule-2.0.so.0...done.
Loaded symbols for /usr/lib/libgmodule-2.0.so.0
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libgobject-2.0.so.0...done.
Loaded symbols for /usr/lib/libgobject-2.0.so.0
Reading symbols from /usr/lib/libgthread-2.0.so.0...done.
Loaded symbols for /usr/lib/libgthread-2.0.so.0
Reading symbols from /usr/lib/libglib-2.0.so.0...done.
Loaded symbols for /usr/lib/libglib-2.0.so.0
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/X11R6/lib/libX11.so.6...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /lib/tls/libc.so.6...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /usr/lib/libpopt.so.0...done.
Loaded symbols for /usr/lib/libpopt.so.0
Reading symbols from /usr/X11R6/lib/libXrender.so.1...done.
Loaded symbols for /usr/X11R6/lib/libXrender.so.1
Reading symbols from /usr/X11R6/lib/libXext.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/libfontconfig.so.1...done.
Loaded symbols for /usr/lib/libfontconfig.so.1
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/X11R6/lib/libXrandr.so.2...done.
Loaded symbols for /usr/X11R6/lib/libXrandr.so.2
Reading symbols from /usr/X11R6/lib/libXi.so.6...done.
Loaded symbols for /usr/X11R6/lib/libXi.so.6
Reading symbols from /usr/X11R6/lib/libXft.so.2...done.
Loaded symbols for /usr/X11R6/lib/libXft.so.2
Reading symbols from /usr/lib/libORBitCosNaming-2.so.0...done.
Loaded symbols for /usr/lib/libORBitCosNaming-2.so.0
Reading symbols from /lib/libssl.so.4...done.
Loaded symbols for /lib/libssl.so.4
Reading symbols from /lib/libcrypto.so.4...done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /usr/kerberos/lib/libgssapi_krb5.so.2...done.
Loaded symbols for /usr/kerberos/lib/libgssapi_krb5.so.2
Reading symbols from /usr/kerberos/lib/libkrb5.so.3...done.
Loaded symbols for /usr/kerberos/lib/libkrb5.so.3
Reading symbols from /usr/kerberos/lib/libcom_err.so.3...done.
Loaded symbols for /usr/kerberos/lib/libcom_err.so.3
Reading symbols from /usr/kerberos/lib/libk5crypto.so.3...done.
Loaded symbols for /usr/kerberos/lib/libk5crypto.so.3
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/tls/librt.so.1...done.
Loaded symbols for /lib/tls/librt.so.1
Reading symbols from /usr/lib/libexpat.so.0...done.
Loaded symbols for /usr/lib/libexpat.so.0
Reading symbols from /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2...done.
Loaded symbols for /usr/X11R6/lib/X11/locale/lib/common/xlcUTF8Load.so.2
Reading symbols from /usr/lib/gtk-2.0/2.2.0/engines/libbluecurve.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.2.0/engines/libbluecurve.so
Reading symbols from /usr/lib/gconv/ISO8859-1.so...done.
Loaded symbols for /usr/lib/gconv/ISO8859-1.so
Reading symbols from /usr/lib/gtk-2.0/2.2.0/loaders/libpixbufloader-png.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.2.0/loaders/libpixbufloader-png.so
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/gnome-vfs-2.0/modules/libfile.so...done.
Loaded symbols for /usr/lib/gnome-vfs-2.0/modules/libfile.so
Reading symbols from /usr/lib/libfam.so.0...done.
Loaded symbols for /usr/lib/libfam.so.0
Reading symbols from /usr/lib/libstdc++.so.5...done.
Loaded symbols for /usr/lib/libstdc++.so.5
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/pango/1.2.0/modules/pango-basic-xft.so...done.
Loaded symbols for /usr/lib/pango/1.2.0/modules/pango-basic-xft.so
Reading symbols from /usr/X11R6/lib/libXcursor.so.1...done.
Loaded symbols for /usr/X11R6/lib/libXcursor.so.1
Reading symbols from /usr/lib/gtk-2.0/2.2.0/loaders/libpixbufloader-xpm.so...done.
Loaded symbols for /usr/lib/gtk-2.0/2.2.0/loaders/libpixbufloader-xpm.so
Reading symbols from /usr/lib/bonobo/monikers/libmoniker_std_2.so...done.
Loaded symbols for /usr/lib/bonobo/monikers/libmoniker_std_2.so
0x05a876cd in poll () from /lib/tls/libc.so.6
(gdb) break
Breakpoint 1 at 0x5a876cd
(gdb) step
Single stepping until exit from function poll,
which has no line number information.
[Switching to Thread -1218627168 (LWP 6908)]
0x007afb96 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_get_context,
which has no line number information.
0x007aef34 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_context_dispatch,
which has no line number information.
0x007af6cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_run,
which has no line number information.
0x007aecb0 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_context_dispatch,
which has no line number information.
0x00798254 in g_byte_array_sort_with_data () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_byte_array_sort_with_data,
which has no line number information.
0x007aecbb in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_context_dispatch,
which has no line number information.
0x007afb00 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_get_context,
which has no line number information.
0x00798254 in g_byte_array_sort_with_data () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_byte_array_sort_with_data,
which has no line number information.
0x007afb14 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_get_context,
which has no line number information.

Breakpoint 1, 0x05a876cd in poll () from /lib/tls/libc.so.6
(gdb) step
Single stepping until exit from function poll,
which has no line number information.
0x007afb96 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_get_context,
which has no line number information.
0x007aef34 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_context_dispatch,
which has no line number information.
0x007af6cf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_run,
which has no line number information.
0x007aecb0 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_context_dispatch,
which has no line number information.
0x00798254 in g_byte_array_sort_with_data () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_byte_array_sort_with_data,
which has no line number information.
0x007aecbb in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_context_dispatch,
which has no line number information.
0x007afb00 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_get_context,
which has no line number information.
0x00798254 in g_byte_array_sort_with_data () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_byte_array_sort_with_data,
which has no line number information.
0x007afb14 in g_main_loop_get_context () from /usr/lib/libglib-2.0.so.0
(gdb) step
Single stepping until exit from function g_main_loop_get_context,
which has no line number information.

Breakpoint 1, 0x05a876cd in poll () from /lib/tls/libc.so.6
(gdb) quit
The program is running. Quit anyway (and detach it)? (y or n) y
Detaching from program: /usr/bin/nautilus, process 6908
[root@sr1 root]# strace -p 6908
Process 6908 attached - interrupt to quit
gettimeofday({1127403731, 134375}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 277) = 1
gettimeofday({1127403731, 134559}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 134665}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 277) = 1
gettimeofday({1127403731, 134801}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 134879}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 276) = 1
gettimeofday({1127403731, 135020}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 135102}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 276) = 1
gettimeofday({1127403731, 135240}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 135319}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 276) = 1
gettimeofday({1127403731, 135454}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 135535}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 276) = 1
gettimeofday({1127403731, 135669}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 135769}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 276) = 1
gettimeofday({1127403731, 135905}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 135984}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 275) = 1
gettimeofday({1127403731, 136120}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 136199}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 275) = 1
gettimeofday({1127403731, 136336}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 136418}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 275) = 1
gettimeofday({1127403731, 136553}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
gettimeofday({1127403731, 136631}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=11, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13,
events=POLLIN|POLLPRI}, {fd=15, events=POLLIN|POLLPRI}, {fd=14,
events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}], 10, 275) = 1
gettimeofday({1127403731, 136765}, NULL) = 0
ioctl(3, FIONREAD, [0]) = 0
This system is SRS Net Connect enabled: No
I will be sending an Explorer file: No
List steps to reproduce the problem(if applicable): Log in as user on RedHat
Linux 3 AS box using GNOME with latest patches as of today (2005-09-22). Wait a
bit. Nautilus will eat the CPU for breakfast. Becomes horribly annoying when
multiple users have it happen and all the proces get busy.
When was the problem first noticed: about June. But have been watching it for a
while trying to find out whether there is anything to xreference.

Please note that I have two identical servers (in a SunRay failover group) and
both exhibit the problem. We're currently testing it on a standalone machine to
see if it happens there too.
The problem is: staying the same
Any changes recently?: None
What software is having the problem?: Seems like nautilus, but the loop is
initiated from libc.so.6.
Desired start date for this service request: normal (according to service coverage)
Email copy of original Service Request to primary contact: No
Preferred Method of Response: Email
Email copy of Service Request to alternate contact: No
Email primary and alternate contacts when a Sun engineer updates this Service
Request: No
Comment 2 Adam Morley 2005-12-05 13:51:57 EST
Created attachment 121862 [details]
strace + gdb of nautilus process
Comment 3 Alexander Larsson 2005-12-16 08:05:08 EST
This is the problem: {fd=20, events=POLLIN, revents=POLLNVAL}

somehow an invalid file descriptor is put in the list of fds the mainloop looks
at. Maybe you can look at the full trace and see where fd 20 comes from.
Comment 4 Adam Morley 2005-12-16 15:48:08 EST
Hi Alex,

Thanks for the heads up.  My problem with a full-trace is afaik (I don't know
strace too well), in order to do that I have to start strace when nautilus
starts.  The bug usually takes "a while" (8-160 hours) to occur.  Is there an
easy way to dump a list of FDs so I can also catch an strace and identify this?
 Perhaps with gdb?

Thanks,
Adam

PS to the Sun folks: please note how I got a reply because I posted actual
*data*.  I would wager that if my straces/gdb had been posted, it would've
gotten a reply. . .It's also interesting to note I've now obtained more
information from RedHat's "free" online bug tracking database than I have from
Sun's pay support arm.  This is not too hip.
Comment 5 Alexander Larsson 2005-12-19 03:55:27 EST
You can see "active" fds with "ls /proc/$pid/fd/". However, since poll says the
fd is invalid it probably won't be in that table. I think its likely that it was
closed just before being passed to poll (the alternative would be that the code
somehow just gets a bogus value for fd). 

This makes it harder to find. If you had a full strace log you could look at
what fd 20 was most recently used for before the poll, but I understand that
getting a strace for 8 hours isn't doable.

20 is a somewhat low number though, maybe you can just start nautilus under
strace and run it for a while. If you're lucky, fd 20 is a long-living entity
that should be the same during the whole lifetime of the app. If so, you could
figure out what goes wrong.
Comment 6 Adam Morley 2005-12-22 18:15:17 EST
Hi,

It is closed.  20 gets used quite often on startup, so it's hard to track down
what it's bound to.  Sometimes, nautilus will immediately begin eating the CPU
right after it is killed, so I've taken to strace'ing gnome-session with -ff in
the hopes that I can catch the restarted, CPU-hogging nautilus.  We'll see how
it goes.  Either way, here is "the latest" info which told me 20 is closed:

[root@sr1 root]# strace -p 11930
Process 11930 attached - interrupt to quit
...
gettimeofday({1135288827, 203577}, NULL) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1135288827, 203785}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=10, events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}, {fd=17, events=POLLIN}], 11, 1994) = 1
gettimeofday({1135288827, 204052}, NULL) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1135288827, 204245}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=10, events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=20, events=POLLIN,
revents=POLLNVAL}, {fd=17, events=POLLIN}], 11, 1994) = 1
gettimeofday( <unfinished ...>
Process 11930 detached
[root@sr1 root]# cd /proc/11930/fd
[root@sr1 fd]# ls
0  1  10  11  12  13  14  15  16  17  2  3  4  5  6  7  8  9
[root@sr1 fd]# ls -l 4 3 8 10 11 12 13 15 14 20 17
ls: 20: No such file or directory
lrwx------    1 lindsay  users          64 Dec 22 14:03 10 ->
socket:[108637886]lrwx------    1 lindsay  users          64 Dec 22 14:03 11 ->
socket:[108637888]lrwx------    1 lindsay  users          64 Dec 22 14:03 12 ->
socket:[108637890]lrwx------    1 lindsay  users          64 Dec 22 14:03 13 ->
socket:[108637893]lrwx------    1 lindsay  users          64 Dec 22 14:03 14 ->
socket:[108637897]lrwx------    1 lindsay  users          64 Dec 22 14:03 15 ->
socket:[108637894]lrwx------    1 lindsay  users          64 Dec 22 14:03 17 ->
socket:[141979311]lrwx------    1 lindsay  users          64 Dec 22 14:03 3 ->
socket:[108637876]
lr-x------    1 lindsay  users          64 Dec 22 14:03 4 -> pipe:[108637878]
lr-x------    1 lindsay  users          64 Dec 22 14:03 8 -> pipe:[108637885]

Sun asked for a couple of sysrq -m, -t, -w, so I can send that too if needed.

thanks,
adam
Comment 7 Adam Morley 2006-05-26 12:14:21 EDT
Created attachment 130031 [details]
Debug packages currently installed
Comment 8 Adam Morley 2006-05-26 12:15:08 EDT
Created attachment 130032 [details]
Another gdb backtrace
Comment 9 Adam Morley 2006-05-26 12:17:58 EDT
Hi,

Sun's internal support personel have stopped responding to inquiries on this bug
through their internal case.  I do not know why.  However, I do know that I have
a RedHat support contract through Sun that isn't being well-honored right now. 
I have dutifully sent them backtraces, and just posted some more.  I hope they
will respond soon.  I am also posting the backtraces here, so RedHat can see
them directly.  I first added all the debuginfo packages I could find on
ftp.redhat.com.  A list is available in attach id 130031.

I then waited for nautilus to spike the CPU (it stuck in the poll() loop, as
usual) and grabbed a backtrace, in attachment id 130032.

Does this give you an idea of what's happening?  Would more information be
helpful?  Would additional debuginfo packages be helpful?

Finally, is there a way to take the support contract from Sun and put it in
RedHat's hands for the purposes of L1 and L2 support, since Sun isn't responding
to repeated inquiries on the contract?

Thanks,
Adam
Comment 10 Alexander Larsson 2006-05-29 09:08:56 EDT
Unfortunately that doesn't really help. By the time its using 100% cpu its
really to late to figure out what went wrong. What happens is that a file
descriptor gets put in the main select() loop in nautilus, and then at some time
it gets closed without properly being taken out of the select. This means select
will always return immediately. 

So, the problem happens when the fd is closed. Catching this event would help
figuring out what is causing it. Of course, the could should perhaps handle the
case of the fd being unexpectedly closed and remove the fd from the select fd
set. However, this is hard to know/fix if you don't know what that fd was being
used for.
Comment 11 Adam Morley 2006-05-30 12:32:35 EDT
Hi Alex,

Thanks for your reply.  While your response is helpful, it doesn't suggest a
next step to try and track down this bug.  What kind of diagnostic information
would actually be helpful?  strace's?  An strace at startup and an strace when
the poll() loop happens?  One of the problems with strace is writing all the
data creates an extremely large amount of debugging output, which both slows
down the machine and fills up the disk fast.

Thanks,
Adam
Comment 12 Alexander Larsson 2006-05-31 04:06:31 EDT
Yeah, its a hard to track down bug...
With a full strace from start to when it starts using 100% cpu you could search
backwards for when the problematic fd was created. However, i agree that such
stracing is problematic. 

Maybe you can try a limited strace like "-e trace=desc" which only lists fd
related syscalls? It'll still produce a lot of data, but at least less.
Comment 13 Adam Morley 2006-06-01 12:37:10 EDT
Hi Alex,

Well, I know that the fd is a pipe:

 09:40:48  up 12 days, 14:49, 13 users,  load average: 1.13, 1.18, 1.13
634 processes: 630 sleeping, 2 running, 2 zombie, 0 stopped
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total   14.8%    0.0%   17.2%   0.0%     0.0%    0.0%   67.8%
           cpu00   17.9%    0.0%    7.5%   0.0%     0.0%    0.0%   74.5%
           cpu01    1.8%    0.0%    1.8%   0.0%     0.0%    0.0%   96.2%
           cpu02   23.5%    0.0%   24.5%   0.0%     0.0%    0.0%   51.8%
           cpu03   16.1%    0.0%   35.2%   0.0%     0.0%    0.0%   48.5%
Mem:  4099420k av, 4049956k used,   49464k free,       0k shrd,  179004k buff
                   2973248k actv,  554352k in_d,   67900k in_c
Swap: 8385848k av,       0k used, 8385848k free                 1033852k cached
                                                                                
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
19601 gary      25   0 18660  18M 10720 R    24.8  0.4  54:37   3 nautilus
[root@sr1 fd]# pwd
/proc/19601/fd
[root@sr1 fd]# ls -lar
total 0
l-wx------    1 gary     users          64 Jun  1 09:40 9 -> pipe:[147974860]
lr-x------    1 gary     users          64 Jun  1 09:40 8 -> pipe:[147974860]
l-wx------    1 gary     users          64 Jun  1 09:40 7 -> pipe:[147974852]
lr-x------    1 gary     users          64 Jun  1 09:40 6 -> pipe:[147974852]
l-wx------    1 gary     users          64 Jun  1 09:40 5 -> pipe:[147974851]
lr-x------    1 gary     users          64 Jun  1 09:40 4 -> pipe:[147974851]
lrwx------    1 gary     users          64 Jun  1 09:40 3 -> socket:[147974848]
lrwx------    1 gary     users          64 Jun  1 09:40 21 ->
socket:[213503145]lrwx------    1 gary     users          64 Jun  1 09:40 20 ->
socket:[213503136]l-wx------    1 gary     users          64 Jun  1 09:40 2 ->
pipe:[83899275]
lr-x------    1 gary     users          64 Jun  1 09:40 16 ->
/proc/19601/mountslrwx------    1 gary     users          64 Jun  1 09:40 15 ->
socket:[147974872]lrwx------    1 gary     users          64 Jun  1 09:40 14 ->
socket:[147974875]lrwx------    1 gary     users          64 Jun  1 09:40 13 ->
socket:[147974869]lrwx------    1 gary     users          64 Jun  1 09:40 12 ->
socket:[147974866]lrwx------    1 gary     users          64 Jun  1 09:40 11 ->
socket:[147974864]lrwx------    1 gary     users          64 Jun  1 09:40 10 ->
socket:[147974861]l-wx------    1 gary     users          64 Jun  1 09:40 1 ->
pipe:[83899275]
lr-x------    1 gary     users          64 Jun  1 09:40 0 -> /dev/null
dr-xr-xr-x    3 gary     users           0 May 31 10:48 ..
dr-x------    2 gary     users           0 Jun  1 09:40 .
[root@sr1 fd]# strace -p 19601
...
gettimeofday({1149180013, 259777}, NULL) = 0
ioctl(3, FIONREAD, [0])                 = 0
gettimeofday({1149180013, 259859}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN},
{fd=10, events=POLLIN|POLLPRI}, {fd=11, events=POLLIN|POLLPRI}, {fd=12,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=15,
events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=20,
events=POLLIN|POLLPRI}, {fd=21, events=POLLIN|POLLPRI}, {fd=18, events=POLLIN,
revents=POLLNVAL}, {fd=18, events=POLLIN, revents=POLLNVAL}, {fd=18,
events=POLLIN, revents=POLLNVAL}, {fd=18, events=POLLIN, revents=POLLNVAL},
{fd=18, events=POLLIN, revents=POLLNVAL}], 16, 741) = 5
gettimeofday({1149180013, 260029}, NULL) = 0
...

Does that help any?  Where can we place the strace command so strace will start
nautilus?  Ie: is nautilus started by gnome-session, or is it a start script
inside of some file hiding in /usr?

Thanks,
Adam
Comment 14 Adam Morley 2006-06-14 14:31:10 EDT
Hi,

Where can we place the strace command so strace will start
nautilus?  Ie: is nautilus started by gnome-session, or is it a start script
inside of some file hiding in /usr?

Thanks,
Adam
Comment 15 Alexander Larsson 2006-07-25 10:18:27 EDT
Its started from the session, you can change it with gnome-session-properties,
either by removing it and running it manually or by changing the command line in
the session.b
Comment 16 Alexander Larsson 2006-07-26 12:57:17 EDT
Hmm, I don't see from your output how you knew it was a pipe. In that case 18
was the invalid fd (and it was for some reason put in the poll multiple times),
and 18 is not in the ls output.

Another way to figure out what fd would be to continuously (say every 5 minutes
or so) dump the /proc/$pid/fd ls output in a file. Then when it gets stuck you
could look at the latest value for it. If that fd has been "stable" for a while
then its likely the one that got closed.
Comment 18 Alexander Larsson 2006-08-22 08:19:25 EDT
One possible cause for this problem could be fam. I've seen things reported that
makes me suspect it.

If you disable fam in /etc/xinetd.d/sgi_fam, does it go away?
Another thing to test is if "while true; do killall -9 fam; done" reproduces
this problem (before disabling fam).
Comment 19 Adam Morley 2006-08-25 15:10:26 EDT
Hi Alex,

(In reply to comment #18)
> One possible cause for this problem could be fam. I've seen things reported that
> makes me suspect it.
> 
> If you disable fam in /etc/xinetd.d/sgi_fam, does it go away?
> Another thing to test is if "while true; do killall -9 fam; done" reproduces
> this problem (before disabling fam).

I did a "while true ; do killall -9 fam; done" and then opened/closed nautilus a
bunch of times, navigating randomly around the filesystem.  It did not spike.

HOWEVER, on a user whose nautilus was spiked already, there was no fam process
running as that user.  Upon killing nautilus, fam restarted and nautilus no
longer consumed 100% of one CPU.

Does this point us somewhere useful?

Thanks,
Adam
Comment 20 Adam Morley 2006-08-25 15:24:28 EDT
(In reply to comment #19)
> Hi Alex,
> 
> (In reply to comment #18)
> > One possible cause for this problem could be fam. I've seen things reported that
> > makes me suspect it.
> > 
> > If you disable fam in /etc/xinetd.d/sgi_fam, does it go away?
> > Another thing to test is if "while true; do killall -9 fam; done" reproduces
> > this problem (before disabling fam).
> 
> I did a "while true ; do killall -9 fam; done" and then opened/closed nautilus a
> bunch of times, navigating randomly around the filesystem.  It did not spike.
> 
> HOWEVER, on a user whose nautilus was spiked already, there was no fam process
> running as that user.  Upon killing nautilus, fam restarted and nautilus no
> longer consumed 100% of one CPU.
> 
> Does this point us somewhere useful?

Sorry, one clarification: of the other users whose nautilus is not spiked, some
are running fam, others are not.
Comment 21 Alexander Larsson 2006-08-28 04:01:16 EDT
I'm not sure exactly what this means, but it seems to make it likely that fam is
involved in the problem somehow.

If you disable fam on a system (this will mean external changes to the
filesystem won't be shown in open nautilus windows until you reload them), does
the system stop spiking?
Comment 23 Adam Morley 2006-10-26 18:13:20 EDT
Hi Alex,

I disabled fam (chkconfig sgi_fam off) about a month ago, and the bug hasn't
re-occurred since then.  We obviously lack the ability to see file changes
immediately, but it's a small price to pay to keep nautilus from eating CPUs for
breakfast.

I am, obviously, quite pleased with this.  My only wish is that I could've
gotten this level of support through my RedHat contract (through Sun).

I would, however, love to know if there have been changes to nautilus in RHEL4
that make it so this doesn't occur?

I'll keep you posted if the bug reoccurs.

Thanks,
Adam
Comment 24 Alexander Larsson 2006-10-27 04:19:40 EDT
Yes, RHEL4 uses gamin, which is a fam replacement. Hopefully it will not have
the same bug. Gamin has had a few issues historically, but I think they are now
under control.
Comment 25 RHEL Product and Program Management 2007-10-19 14:53:03 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.